const mix = require('laravel-mix');

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel application. By default, we are compiling the Sass
 | file for the application as well as bundling up all the JS files.
 |
 */

mix.js('resources/js/app.js', 'public/js')
.scripts([
   'resources/js/backend/mustache.js',
   'resources/js/backend/plugins/loaders/pace.min.js',
   'resources/js/backend/core/libraries/jquery.min.js',
   'resources/js/backend/core/libraries/bootstrap.min.js',
   'resources/js/backend/plugins/loaders/blockui.min.js',
   'resources/js/backend/core/libraries/jquery_ui/interactions.min.js',
   'resources/js/backend/core/libraries/jquery_ui/widgets.min.js',
   'resources/js/backend/core/libraries/jquery_ui/effects.min.js',
   'resources/js/backend/plugins/extensions/mousewheel.min.js',
   'resources/js/backend/plugins/forms/selects/select2.min.js',
   'resources/js/backend/plugins/forms/styling/uniform.min.js',
   'resources/js/backend/plugins/ui/moment/moment.min.js',
   'resources/js/backend/plugins/ui/fullcalendar/fullcalendar.min.js',
   'resources/js/backend/core/app.js',
   'resources/js/backend/plugins/ui/ripple.min.js',
   'resources/js/backend/plugins/tables/datatables/datatables.min.js',
   'resources/js/backend/plugins/tables/datatables/extensions/responsive.min.js',
  ],'public/js/backend.js')
  .scripts([
    'resources/js/backend/pages/summernote/summernote.min.js',
    'resources/js/backend/plugins/forms/styling/uniform.min.js'
  ],'public/js/summernote.js')
  .scripts([
    'resources/js/backend/plugins/forms/styling/switch.min.js',
    'resources/js/backend/plugins/forms/styling/switchery.min.js',
    'resources/js/backend/plugins/forms/styling/uniform.min.js',
    'resources/js/backend/pages/form_checkboxes_radios.js',
  ], 'public/js/switch.js')
  .scripts([
    'resources/js/backend/plugins/uploaders/fileinput/plugins/purify.min.js',
    'resources/js/backend/plugins/uploaders/fileinput/plugins/sortable.min.js',
    'resources/js/backend/plugins/uploaders/fileinput/fileinput.min.js',
  ],'public/js/fileinput.js')
  .scripts([
    'resources/js/backend/plugins/pickers/bootstrap-datepicker.js',
    'resources/js/backend/plugins/pickers/pickadate/picker.js',
    'resources/js/backend/plugins/pickers/pickadate/picker.date.js',
    'resources/js/backend/plugins/pickers/daterangepicker.js',
    'resources/js/backend/plugins/pickers/anytime.min.js',
  ],'public/js/datepicker.js')
  .scripts([
   'resources/js/backend/pages/age_category.js',
 ],'public/js/age_category.js')
  .scripts([
   'resources/js/backend/pages/education.js',
 ],'public/js/education.js')
  .scripts([
   'resources/js/backend/pages/publication.js',
 ],'public/js/publication.js')
  .scripts([
   'resources/js/backend/pages/employment_status.js',
 ],'public/js/employment_status.js')
  .scripts([
   'resources/js/backend/pages/school_level.js',
 ],'public/js/school_level.js')
  .scripts([
    'resources/js/backend/pages/teacher_type.js',
  ],'public/js/teacher_type.js')
  .scripts([
    'resources/js/backend/pages/subject.js',
  ],'public/js/subject.js')
  .scripts([
    'resources/js/backend/pages/article.js',
  ],'public/js/article.js')
  .scripts([
    'resources/js/backend/pages/admin.js',
  ],'public/js/admin.js')
  .scripts([
    'resources/js/backend/pages/researcher.js',
  ],'public/js/researcher.js')
  .scripts([
    'resources/js/backend/pages/year_experience.js',
  ],'public/js/year_experience.js')
  .scripts([
    'resources/js/backend/pages/additional_task.js',
  ],'public/js/additional_task.js')
  .scripts([
    'resources/js/backend/pages/questionnaire.js',
  ],'public/js/questionnaire.js')
  .scripts([
    'resources/js/backend/pages/dimension.js',
  ],'public/js/dimension.js')
  .scripts([
    'resources/js/backend/pages/album.js',
  ],'public/js/album.js')
  .scripts([
    'resources/js/backend/pages/gallery.js',
  ],'public/js/gallery.js')
  .scripts([
      'resources/js/backend/plugins/notifications/bootbox.min.js',
      'resources/js/backend/plugins/notifications/sweet_alert.min.js',
      'resources/js/backend/pages/notification.js',
   ],"public/js/notification.js")
  .scripts([
      'resources/js/library/chartjs-plugin/chartjs-plugin-labels.js',
  ],"public/js/chartjs-plugin-labels.js")
  .scripts([
      'resources/js/library/jqvmap/dist/jquery.vmap.js',
      'resources/js/library/jqvmap/dist/maps/jquery.vmap.indonesia.js',
   ],"public/js/maps.js")
   .styles([
      'resources/js/library/jqvmap/dist/jqvmap.css',
   ],'public/css/maps.css')
   .styles([
      'resources/css/backend/bootstrap.css',
      'resources/css/backend/core.css',
      'resources/css/backend/components.css',
      'resources/css/backend/colors.css',
      'resources/css/backend/custom.css'
  ],'public/css/backend.css')
    .copyDirectory('resources/webfonts', 'public/webfonts')
   .copyDirectory('resources/images', 'public/images')
   .copyDirectory('resources/css/backend/summernote','public/vendor/summernote')
   .copyDirectory('resources/css/backend/icons','public/css/icons')
   .sass('resources/sass/app.scss', 'public/css');
